Bug 60617 - python2 contains files of tkinter
python2 contains files of tkinter
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: python2 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-02 08:31 EST by Nils Philippsen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-02 08:31:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2002-03-02 08:31:46 EST
Description of Problem:

python2 contains files of tkinter and therefore conflicts with it

Version-Release number of selected component (if applicable):

python2-2.2-10

How Reproducible:

always

Steps to Reproduce:
1. install python2 on a machine with tkinter

Actual Results:

file conflicts

Expected Results:

python2 replaces tkinter -> python2 should obsolete tkinter
Comment 1 Trond Eivind Glomsrxd 2002-03-18 17:22:04 EST
python2-2.2-11 has a separate tkinter2 package which does not conflict.
Comment 2 Nils Philippsen 2002-03-19 03:44:35 EST
Maybe tkinter2 should obsolete tkinter then? Would make manual upgrades more
seamless.
Comment 3 Trond Eivind Glomsrxd 2002-03-19 13:01:00 EST
Of course not. Python 1.5 w/tkinter is still the primary python.

Note You need to log in before you can comment on or make changes to this bug.